  member('sample1')

  map
  end

! --  The BrowseCustomers2 procedure uses the global object gsql
! --  The technique is to use the FillQueuewithResultbyname method to fill the browse queue

! -- Note that here the queue fields don't have to be in the same order as the fields in the SELECT statement.
! -- If a field is in the queue but not the select statement, it will be blank or zero.
! -- If a field is in the select statement but not in the queue, it won't be put in the queue.
! -- The field names are not case sensitive between the queue and the select statement.

BrowseCustomers5  procedure()

bqueue        queue
CustomerID    long
CustomerName  string(40)
City          string(30)
              end

Window WINDOW('BrowseCustomers5'),AT(,,272,204),FONT('MS Sans Serif',8,,FONT:regular),CENTER,SYSTEM,GRAY, |
         DOUBLE,MDI
       LIST,AT(4,8,261,189),USE(?list),VSCROLL,FORMAT('43R(2)|M~CustomerID~@n9@98L(2)|M~Customer Name~@s40@20L(2)|M~City~@s30@'), |
           FROM(bqueue)
     END

i       long

  code
  free(bqueue)
  open(window)
  display
  setcursor(cursor:wait)
  gsql.sendquery('select customername, city, customerid from customers order by customername')
  gsql.fillqueuewithresultbyname(bqueue)
  select(?list, 1)
  setcursor()
  accept
  end
  close(window)



